from flask import request, Response
from db.repository import Repository
from db.entities import Location

repo = Repository()

def post():
    body = request.json
    repo.add_location(Location(body))
    return Response(status=201)

def get():
    return [l.to_serializable_dict() for l in repo.get_locations()]
